PETSc version 3.15.5
Fix/Edit manual page

# PetscDualSpaceCreateInteriorDataDefault

Create quadrature points by examining interior functionals and create the matrix mapping quadrature point values to interior dual space values

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscDualSpaceCreateInteriorDataDefault(PetscDualSpace sp, PetscQuadrature *intNodes, Mat *intMat)

### Input Parameter

| sp | - The dualspace

### Output Parameter

| intNodes | - A PetscQuadrature object containing all evaluation points needed to evaluate interior degrees of freedom
| intMat | - A matrix that computes dual space values from point values: size [spdim0 x (npoints * nc)], where spdim0 is the size of the constrained layout (PetscSectionGetConstrainStorageSize()) of the dual space section, npoints is the number of points in allNodes and nc is PetscDualSpaceGetNumComponents().

### See Also

PetscDualSpaceCreate(), PetscDualSpaceGetInteriorData()

### Level

advanced

### Location

src/dm/dt/dualspace/interface/dualspace.c
Index of all DUALSPACE routines
Table of Contents for all manual pages
Index of all manual pages